<?php

namespace Modules\Admin\Repositories\Interfaces;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Modules\WeeklySpecial\Models\WeeklySpecial;

interface WeeklySpecialRepositoryInterface
{
    public function all(): Collection;
    public function find(int $id): ?WeeklySpecial;
    public function create(array $data): WeeklySpecial;
    public function update(int $id, array $data): WeeklySpecial;
    public function delete(int $id): bool;
    public function paginate(int $perPage = 10): LengthAwarePaginator;
    public function count(): int;
}
